## org.gnome.OnlineAccounts.Manager org.gnome.OnlineAccounts.Manager |

## Methods

    AddAccount          (IN  s     provider,
                         IN  s     identity,
                         IN  s     presentation_identity,
                         IN  a{sv} credentials,
                         IN  a{ss} details,
                         OUT o     account_object_path);
    IsSupportedProvider (IN  s     provider_type,
                         OUT b     is_supported);

## Description

An interface used for managing accounts.

## Method Details

### The AddAccount() method

    AddAccount (IN  s     provider,
                IN  s     identity,
                IN  s     presentation_identity,
                IN  a{sv} credentials,
                IN  a{ss} details,
                OUT o     account_object_path);

Creates a new account. Note that this does not create an account at the remote service.

`IN s `provider``: | The account provider. See the "ProviderType" property for known providers.
`IN s `identity``: | The identity of the account (cf. the "Identity" property).
`IN s `presentation_identity``: | The identity of the account that is suitable for display in an user interface (cf. the "PresentationIdentity" property).
`IN a{sv} `credentials``: | The credentials to store.
`IN a{ss} `details``: | Extra key/value pairs to set.
`OUT o `account_object_path``: | The object path of the created account.

### The IsSupportedProvider() method

    IsSupportedProvider (IN  s provider_type,
                         OUT b is_supported);

Checks if a certain type of provider of online accounts (for example, "google" or "lastfm") is supported. If `provider_type` is supported, then `is_supported` is set to `TRUE`.

`IN s `provider_type``: | A provider of online accounts
`OUT b `is_supported``: | Whether the provider is supported or not